Package org.eclipse.m2m.atl.emftvm.util

## Class PluginExtensionUtilImpl

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.PluginExtensionUtilImpl

All Implemented Interfaces:
  `PluginExtensionUtil`

    public class PluginExtensionUtilImpl
    extends java.lang.Object
    implements PluginExtensionUtil

Implementation for `PluginExtensionUtil`.

### Constructor Summary

Constructors
`PluginExtensionUtilImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeMap<java.lang.Class<?>,​ModelFactory>` `createModelFactoryRegistry()` Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginExtensionUtilImpl

    public PluginExtensionUtilImpl()

### Method Detail

#### createModelFactoryRegistry

    public TypeMap<java.lang.Class<?>,​ModelFactory> createModelFactoryRegistry()

Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

Specified by:
  `createModelFactoryRegistry` in interface `PluginExtensionUtil`
Returns:
  a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances